clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
rename_check Namespace Reference

## Functions
def | replaceInFile
def | generateCommentLineHeader
def | generateCommentLineSource
def | fileRename
def | getListOfFiles
def | main

## Function Documentation

def rename_check.fileRename | ( |  | fileName,
|  |  | sFrom,
|  |  | sTo
| ) |  |

Definition at line 46 of file rename_check.py.

Referenced by main().

def rename_check.generateCommentLineHeader | ( |  | filename | ) |

Definition at line 32 of file rename_check.py.

Referenced by main().

def rename_check.generateCommentLineSource | ( |  | filename | ) |

Definition at line 39 of file rename_check.py.

Referenced by main().

def rename_check.getListOfFiles | ( |  | clang_tidy_path | ) |

Definition at line 54 of file rename_check.py.

Referenced by main().

def rename_check.main | ( |  | ) |

Definition at line 63 of file rename_check.py.

References fileRename(), generateCommentLineHeader(), generateCommentLineSource(), getListOfFiles(), and replaceInFile().

def rename_check.replaceInFile | ( |  | fileName,
|  |  | sFrom,
|  |  | sTo
| ) |  |

Definition at line 17 of file rename_check.py.

Referenced by main().